org.apache.commons.io.monitor

## Class FileAlterationListenerAdaptor

- java.lang.Object
- - org.apache.commons.io.monitor.FileAlterationListenerAdaptor

All Implemented Interfaces:
  FileAlterationListener

    public class FileAlterationListenerAdaptor
    extends Object
    implements FileAlterationListener

Convenience `FileAlterationListener` implementation that does nothing.

Since:
  2.0
Version:
  $Id$
See Also:
  `FileAlterationObserver`

### Constructor Summary

Constructors
Constructor and Description
`FileAlterationListenerAdaptor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onDirectoryChange(File directory)` Directory changed Event.
`void` `onDirectoryCreate(File directory)` Directory created Event.
`void` `onDirectoryDelete(File directory)` Directory deleted Event.
`void` `onFileChange(File file)` File changed Event.
`void` `onFileCreate(File file)` File created Event.
`void` `onFileDelete(File file)` File deleted Event.
`void` `onStart(FileAlterationObserver observer)` File system observer started checking event.
`void` `onStop(FileAlterationObserver observer)` File system observer finished checking event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileAlterationListenerAdaptor

    public FileAlterationListenerAdaptor()

### Method Detail

#### onStart

    public void onStart(FileAlterationObserver observer)

File system observer started checking event.

Specified by:
  `onStart` in interface `FileAlterationListener`
Parameters:
  `observer` - The file system observer (ignored)

#### onDirectoryCreate

    public void onDirectoryCreate(File directory)

Directory created Event.

Specified by:
  `onDirectoryCreate` in interface `FileAlterationListener`
Parameters:
  `directory` - The directory created (ignored)

#### onDirectoryChange

    public void onDirectoryChange(File directory)

Directory changed Event.

Specified by:
  `onDirectoryChange` in interface `FileAlterationListener`
Parameters:
  `directory` - The directory changed (ignored)

#### onDirectoryDelete

    public void onDirectoryDelete(File directory)

Directory deleted Event.

Specified by:
  `onDirectoryDelete` in interface `FileAlterationListener`
Parameters:
  `directory` - The directory deleted (ignored)

#### onFileCreate

    public void onFileCreate(File file)

File created Event.

Specified by:
  `onFileCreate` in interface `FileAlterationListener`
Parameters:
  `file` - The file created (ignored)

#### onFileChange

    public void onFileChange(File file)

File changed Event.

Specified by:
  `onFileChange` in interface `FileAlterationListener`
Parameters:
  `file` - The file changed (ignored)

#### onFileDelete

    public void onFileDelete(File file)

File deleted Event.

Specified by:
  `onFileDelete` in interface `FileAlterationListener`
Parameters:
  `file` - The file deleted (ignored)

#### onStop

    public void onStop(FileAlterationObserver observer)

File system observer finished checking event.

Specified by:
  `onStop` in interface `FileAlterationListener`
Parameters:
  `observer` - The file system observer (ignored)